<?php namespace AhmadFatoni\ApiGenerator\Controllers\API;
header("Access-Control-Allow-Origin: *");

use Cms\Classes\Controller;
use BackendMenu;

use DB;
use Hash;
use DateTime;

use Illuminate\Http\Request;
use AhmadFatoni\ApiGenerator\Helpers\Helpers;
use Illuminate\Support\Facades\Validator;
use AhmadFatoni\ApiGenerator\Models\ApiGenerator;
class loginController extends Controller
{
	protected $ApiGenerator;

    protected $helpers;

    public function __construct(ApiGenerator $ApiGenerator, Helpers $helpers)
    {
        parent::__construct();
        $this->ApiGenerator    = $ApiGenerator;
        $this->helpers          = $helpers;
    }

public function index(Request $request){

			$email = $request->email;

			$password = $request->password;

			$passwordEncrypted = Hash::make($password);

			$user = Db::select('select * from custom_users WHERE email="'.$email.'" ');

		if( count($user) == 0 ){
				 return array('error','The username provided is not valid!');
		 }else{
			 // if there is an email in the DB then check the password
			 if( $user[0]->accessLevelCode == 'store' ||  $user[0]->accessLevelCode == 'technical'){
			 	//if the password match then create session variables and redirect to report page
				 if (Hash::check($password, $user[0]->password)) {
				 // The passwords match...then we create the JWT to pass back to the App
						 $createdToken = self::createJWT($email);

						 $userArr = array();

					/* 	array_push($userArr,array('id',$user[0]->id));
						array_push($userArr,array('accessLevelCode',$user[0]->accessLevelCode));
					 	array_push($userArr,array('token',$createdToken));
*/

						$obj = (object) [
				    'id' => $user[0]->id,
				    'accessLevelCode' => $user[0]->accessLevelCode,
				    'token' => $createdToken
					];

						 return json_encode($obj);
				 }else{//return that the password is wrong
							return array('error','Password doesn\'t match the username!');
				 }
			 }else{
			 	return  array('error','Login not allowed for the selected user. You need to login with an Store or Technical user!');
			 }

		 }
    }



		public function createJWT($email){

			//setting the personal key identification
			$key = 'ThisisarandomkeyforthegenerationofmycustomJWTtoken';
				//build the headers
				$headers = ['alg'=>'HS256','typ'=>'JWT'];
				$headers_encoded = base64_encode(json_encode($headers));


				//create datetime timestamp for the expiry date
				//we will set it to 30 minutes
				$date = new DateTime();
				$date->modify('+30 minutes');
				$date = $date->format('U');


				//build the payload
				$payload = ['email'=>$email,'exp'=>$date, 'admin'=>true];
				$payload_encoded = base64_encode(json_encode($payload));

				//build the signature

				$signature = hash_hmac('SHA256',"$headers_encoded.$payload_encoded",$key,true);
				$signature_encoded = base64_encode($signature);

				//build and return the token
				$token = "$headers_encoded.$payload_encoded.$signature_encoded";
				return urlencode($token);

		}

    public function show($id){

        $data = $this->ApiGenerator->where('id',$id)->first();

        if( count($data) > 0){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', $data);

        }

        $this->helpers->apiArrayResponseBuilder(400, 'bad request', ['error' => 'invalid key']);

    }

    public function store(Request $request){

    	$arr = $request->all();

        while ( $data = current($arr)) {
            $this->ApiGenerator->{key($arr)} = $data;
            next($arr);
        }

        $validation = Validator::make($request->all(), $this->ApiGenerator->rules);

        if( $validation->passes() ){
            $this->ApiGenerator->save();
            return $this->helpers->apiArrayResponseBuilder(201, 'created', ['id' => $this->ApiGenerator->id]);
        }else{
            return $this->helpers->apiArrayResponseBuilder(400, 'fail', $validation->errors() );
        }

    }

    public function update($id, Request $request){

        $status = $this->ApiGenerator->where('id',$id)->update($data);

        if( $status ){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been updated successfully.');

        }else{

            return $this->helpers->apiArrayResponseBuilder(400, 'bad request', 'Error, data failed to update.');

        }
    }

    public function delete($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }

    public function destroy($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }


    public static function getAfterFilters() {return [];}
    public static function getBeforeFilters() {return [];}
    public static function getMiddleware() {return [];}
    public function callAction($method, $parameters=false) {
        return call_user_func_array(array($this, $method), $parameters);
    }

}
