<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
//header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization');

Route::post('fatoni/generate/api', array('as' => 'fatoni.generate.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@generateApi'));
Route::post('fatoni/update/api/{id}', array('as' => 'fatoni.update.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@updateApi'));
Route::get('fatoni/delete/api/{id}', array('as' => 'fatoni.delete.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@deleteApi'));


Route::resource('api/v1/getTableNames', 'AhmadFatoni\ApiGenerator\Controllers\API\getTableNamesController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/getTableNames/{id}/delete', ['as' => 'api/v1/getTableNames.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\getTableNamesController@destroy']);

Route::resource('api/v1/getDB', 'AhmadFatoni\ApiGenerator\Controllers\API\getDBController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/getDB/{id}/delete', ['as' => 'api/v1/getDB.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\getDBController@destroy']);

Route::resource('api/v1/login', 'AhmadFatoni\ApiGenerator\Controllers\API\loginController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/login/{id}/delete', ['as' => 'api/v1/login.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\loginController@destroy']);
Route::post('api/v1/login', ['as' => 'api/v1/login', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\loginController@index']);


Route::resource('api/v1/ticketUpload', 'AhmadFatoni\ApiGenerator\Controllers\API\ticketUploadController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/ticketUpload/{id}/delete', ['as' => 'api/v1/ticketUpload.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\ticketUploadController@destroy']);
Route::post('api/v1/ticketUpload', ['as' => 'api/v1/ticketUpload', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\ticketUploadController@index']);

Route::resource('api/v1/uploadTechnicianCommentsTickets', 'AhmadFatoni\ApiGenerator\Controllers\API\UploadTechnicianStatusandCommentsController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/uploadTechnicianCommentsTickets/{id}/delete', ['as' => 'api/v1/uploadTechnicianCommentsTickets.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\UploadTechnicianStatusandCommentsController@destroy']);
Route::post('api/v1/uploadTechnicianCommentsTickets', ['as' => 'api/v1/uploadTechnicianCommentsTickets', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\UploadTechnicianStatusandCommentsController@index']);


Route::resource('api/v1/uploadTechnicianTime', 'AhmadFatoni\ApiGenerator\Controllers\API\TechnicianUploadTimeSpentController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/uploadTechnicianTime/{id}/delete', ['as' => 'api/v1/uploadTechnicianTime.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\UploadTechnicianStatusandCommentsController@destroy']);
Route::post('api/v1/uploadTechnicianTime', ['as' => 'api/v1/TechnicianUploadTimeSpent', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\TechnicianUploadTimeSpentController@index']);
