<?php namespace AhmadFatoni\ApiGenerator\Controllers\API;
header("Access-Control-Allow-Origin: *");

//header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
//header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');
// Allow CORS
//header('Access-Control-Allow-Origin: *');
//header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
//header('Access-Control-Allow-Headers: Origin, Content-Type, X-Requested-With, X-Auth-Token, Accept, Authorization');


use Cms\Classes\Controller;
use BackendMenu;

use Illuminate\Http\Request;
use AhmadFatoni\ApiGenerator\Helpers\Helpers;
use Illuminate\Support\Facades\Validator;
use AhmadFatoni\ApiGenerator\Models\ApiGenerator;


include_once($_SERVER['DOCUMENT_ROOT'].'/maintenance/themes/hambern-hambern-blank-bootstrap-4/php/JWTAuthentication.php');

class getTableNamesController extends Controller
{
	protected $ApiGenerator;

    protected $helpers;

    public function __construct(ApiGenerator $ApiGenerator, Helpers $helpers)
    {
        parent::__construct();
        $this->ApiGenerator    = $ApiGenerator;
        $this->helpers          = $helpers;
    }

    public function index(Request $request){

	//check if a JWT was provided if not return
	 if( $request->token == '' ){
			return 'Did not pass validation';
		}else{

  			//if the JWT is valid and not expired then we return the table structures
           if( validateJWT($request->token) ){

           		$tables = array();

							$userAccessLevel = $request->userAccessLevel;

							if($userAccessLevel == "technical"){
								array_push($tables,array('custom_tickets',1));
								array_push($tables,array('custom_cities',1));
								array_push($tables,array('custom_restaurants',1));
								array_push($tables,array('custom_locations',1));
								array_push($tables,array('custom_status',1));
								array_push($tables,array('custom_should_update',0));
								array_push($tables,array('custom_technician_ticket_hours',1));
							}else if($userAccessLevel == "store"){
								array_push($tables,array('custom_tickets',0));
								array_push($tables,array('custom_locations',1));
								array_push($tables,array('custom_restaurants',1));
							}


        	return json_encode($tables);

				}else{

					return 'Expired';
				}

	}



    }


    public function show($id){

        $data = $this->ApiGenerator->where('id',$id)->first();

        if( count($data) > 0){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', $data);

        }

        $this->helpers->apiArrayResponseBuilder(400, 'bad request', ['error' => 'invalid key']);

    }

    public function store(Request $request){

    	$arr = $request->all();

        while ( $data = current($arr)) {
            $this->ApiGenerator->{key($arr)} = $data;
            next($arr);
        }

        $validation = Validator::make($request->all(), $this->ApiGenerator->rules);

        if( $validation->passes() ){
            $this->ApiGenerator->save();
            return $this->helpers->apiArrayResponseBuilder(201, 'created', ['id' => $this->ApiGenerator->id]);
        }else{
            return $this->helpers->apiArrayResponseBuilder(400, 'fail', $validation->errors() );
        }

    }

    public function update($id, Request $request){

        $status = $this->ApiGenerator->where('id',$id)->update($data);

        if( $status ){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been updated successfully.');

        }else{

            return $this->helpers->apiArrayResponseBuilder(400, 'bad request', 'Error, data failed to update.');

        }
    }

    public function delete($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }

    public function destroy($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }


    public static function getAfterFilters() {return [];}
    public static function getBeforeFilters() {return [];}
    public static function getMiddleware() {return [];}
    public function callAction($method, $parameters=false) {
        return call_user_func_array(array($this, $method), $parameters);
    }

}
