<?php namespace AhmadFatoni\ApiGenerator\Controllers\API;

header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
//header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization');


use DB;
use Log;
use Mail;

use Cms\Classes\Controller;
use BackendMenu;

use Illuminate\Http\Request;
use AhmadFatoni\ApiGenerator\Helpers\Helpers;
use Illuminate\Support\Facades\Validator;
use AhmadFatoni\ApiGenerator\Models\ApiGenerator;


include_once($_SERVER['DOCUMENT_ROOT'].'/maintenance/themes/hambern-hambern-blank-bootstrap-4/php/JWTAuthentication.php');

class ticketUploadController extends Controller
{
	protected $ApiGenerator;

    protected $helpers;

    public function __construct(ApiGenerator $ApiGenerator, Helpers $helpers)
    {
        parent::__construct();
        $this->ApiGenerator    = $ApiGenerator;
        $this->helpers          = $helpers;
    }

    public function index(Request $request){

			$token = $request->token;

			if( $token == '' || is_null($token) || $token == 'null' ){

				 return 'Did not pass validation';

			}else{
			 //if the JWT is valid and not expired then we return the table structures
				if( validateJWT($token) ){

				if($request->important == 1){
					try {
							Db::insert("insert into custom_tickets(important, MAIN, photo, restaurant_id, location_code, comments, date_of_creation) VALUES(?, ?, ?, ?, ?, ?, ?)",[$request->important, 1, $request->photo,$request->restaurant_id,$request->location_code,$request->comments, date("Y-m-d")]);

							$res = Db::select("select code, name from custom_restaurants where id='".$request->restaurant_id."'");
							Log::info($res);


							$emailAddresses = Db::select('select email from custom_users where accessLevelCode = "maintenance" ');
							$length = count($emailAddresses);

						            $associativeArray = array();
						            for ($i =0; $i < $length; $i++ ) {
						                $associativeArray[$emailAddresses[$i]->email] = '' ;
						            }
							$vars = ['code' => $res[0]->code, 'name' => $res[0]->name, 'comments' => $request->comments, 'date' => date("d/m/Y"), 'location' => $request->location_code, 'photo' => $request->photo];
						//	Log::info($associativeArray);
					Mail::sendTo($associativeArray, 'newTicket', $vars);

							return 'ok';
					} catch (\PDOException $e) {
								 Log::info($e);
								return 'There was an error with adding the Ticket to the database!';
					}
				}else{
					try {
							Db::insert("insert into custom_tickets(important, photo, restaurant_id, location_code, comments, date_of_creation) VALUES(?, ?, ?, ?, ?, ?)",[$request->important, $request->photo,$request->restaurant_id,$request->location_code,$request->comments, date("Y-m-d")]);
							return 'ok';
					} catch (\PDOException $e) {
								 Log::info($e);
								return 'There was an error with adding the Ticket to the database!';
					}
				}


				}else{
					return 'ERROR VALIDATING JWT';
				}
			}

    }

    public function show($id){

        $data = $this->ApiGenerator->where('id',$id)->first();

        if( count($data) > 0){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', $data);

        }

        $this->helpers->apiArrayResponseBuilder(400, 'bad request', ['error' => 'invalid key']);

    }

    public function store(Request $request){

    	$arr = $request->all();

        while ( $data = current($arr)) {
            $this->ApiGenerator->{key($arr)} = $data;
            next($arr);
        }

        $validation = Validator::make($request->all(), $this->ApiGenerator->rules);

        if( $validation->passes() ){
            $this->ApiGenerator->save();
            return $this->helpers->apiArrayResponseBuilder(201, 'created', ['id' => $this->ApiGenerator->id]);
        }else{
            return $this->helpers->apiArrayResponseBuilder(400, 'fail', $validation->errors() );
        }

    }

    public function update($id, Request $request){

        $status = $this->ApiGenerator->where('id',$id)->update($data);

        if( $status ){

            return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been updated successfully.');

        }else{

            return $this->helpers->apiArrayResponseBuilder(400, 'bad request', 'Error, data failed to update.');

        }
    }

    public function delete($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }

    public function destroy($id){

        $this->ApiGenerator->where('id',$id)->delete();

        return $this->helpers->apiArrayResponseBuilder(200, 'success', 'Data has been deleted successfully.');
    }


    public static function getAfterFilters() {return [];}
    public static function getBeforeFilters() {return [];}
    public static function getMiddleware() {return [];}
    public function callAction($method, $parameters=false) {
        return call_user_func_array(array($this, $method), $parameters);
    }

}
