$( document ).on( "click", "#brandsAddNewBtn", function() {
   
   //Get inputted values
   var code = $( '#brandCode' ).val();
   var description = $( '#brandDescription' ).val();
   
   
   //Check that all fields are completed. If they are not then show an error message, otherwise remove the error message.
   if( code === ''){
       $('#brandCodeErr').html('please enter a unique code');
   }else{
       $('#brandCodeErr').html('');
   }
   
    if( description === ''){
         $('#brandDescriptionErr').html('please enter a description');
   }else{
       $('#brandDescriptionErr').html('');
   }
   
   //If both fields are filled then we can proceed with adding the data to the database
   if( code !== '' && description !== '' ){
        //call onAddBrand located in the edit page
           $.request('onAddBrand', {
               //pass the inputed data code & descritpion to the ajax call
               data: { code: code, description: description },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                             $('#brandsModal').modal('hide');
                                 resetDataTable();
                         }else{
                             $('#brandAddErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadBrands: '#loadBrands' }
            });
   }

 });
 
 //Do not allow spaces on the code input field
 $(function() {
    $('#brandCode').on('keypress', function(e) {
        if (e.which == 32)
            return false;
    });
});

//When Edit is pressed we get the variables from the data on the button from the loadBrands
$(document).on("click", ".editModal", function () {
     var code = $(this).data('code');
     var description = $(this).data('description');
     $(".modal-body #brandCodeEdit").val( code );//pass variables into the modal editModal
     $(".modal-body #brandDescriptionEdit").val( description );//pass variables into the modal editModal
     $('#brandsModalEdit').modal('show');//show the modal editModal
});

$( document ).on( "click", "#brandsEditBtn", function() {
    
    var code = $( '#brandCodeEdit' ).val();
    var description = $( '#brandDescriptionEdit' ).val();
    
    if( description === ''){
        $('#brandDescriptionEditErr').html('please enter a description');
   }else{
        $('#brandDescriptionEditErr').html(''); 
        $.request('onEditBrand', {
               //pass the inputed data code & descritpion to the ajax call
               data: { code: code, description: description },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                                 resetDataTable();
                             $('#brandsModalEdit').modal('hide');
                         }else{
                             $('#brandEditErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadBrands: '#loadBrands' }
            });
   }
   
});
 
 
 $('#brandsModal').on('hidden.bs.modal', function () {
     /** When the Modal closes then we remove the error messages so that next time the popup opens it doesn't shows them **/
     $('#brandCodeErr').html('');
     $('#brandDescriptionErr').html('');
     $('#brandAddErr').html('');
     //THIS FUNCTION IS USED TO REMOVE THE DATA FROM WITHIN THE MODAL VIEWS OF BOOTSTRAP WHEN THE CLOSE BUTTON IS PRESSED
     $(this).find("input,textarea,select").val('').end();
})

 $('#brandsModalEdit').on('hidden.bs.modal', function () {
     /** When the Modal closes then we remove the error messages so that next time the popup opens it doesn't shows them **/
     $('#brandDescriptionEditErr').html('');
     //THIS FUNCTION IS USED TO REMOVE THE DATA FROM WITHIN THE MODAL VIEWS OF BOOTSTRAP WHEN THE CLOSE BUTTON IS PRESSED
     $(this).find("input,textarea,select").val('').end();
})

