$( document ).on( "click", "#locationAddNewBtn", function() {
   
   //Get inputted values
   var code = $( '#locationCode' ).val();
   var description = $( '#locationDescription' ).val();
   
   
   //Check that all fields are completed. If they are not then show an error message, otherwise remove the error message.
   if( code === ''){
       $('#locationCodeErr').html('please enter a unique code');
   }else{
       $('#locationCodeErr').html('');
   }
   
    if( description === ''){
         $('#locationDescriptionErr').html('please enter a description');
   }else{
       $('#locationDescriptionErr').html('');
   }
   
   console.log("code",code);
   console.log("desc",description);
   
   //If both fields are filled then we can proceed with adding the data to the database
   if( code !== '' && description !== '' ){
        //call onAddBrand located in the edit page
           $.request('onAddLocation', {
               //pass the inputed data code & descritpion to the ajax call
               data: { code: code, description: description },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                             $('#locationsModal').modal('hide');
                         }else{
                             $('#locationAddErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadLocations: '#loadLocations' }
            });
   }

 });
 
 //Do not allow spaces on the code input field
 $(function() {
    $('#brandCode').on('keypress', function(e) {
        if (e.which == 32)
            return false;
    });
});

//When Edit is pressed we get the variables from the data on the button from the loadBrands
$(document).on("click", ".editModal", function () {
     var code = $(this).data('code');
     var description = $(this).data('description');
     $(".modal-body #locationCodeEdit").val( code );//pass variables into the modal editModal
     $(".modal-body #locationDescriptionEdit").val( description );//pass variables into the modal editModal
     $('#locationsModalEdit').modal('show');//show the modal editModal
});

$( document ).on( "click", "#locationEditBtn", function() {
    
    var code = $( '#locationCodeEdit' ).val();
    var description = $( '#locationDescriptionEdit' ).val();
    
    if( description === ''){
        $('#locationDescriptionEditErr').html('please enter a description');
   }else{
        $('#locationDescriptionEditErr').html(''); 
        $.request('onEditLocation', {
               //pass the inputed data code & descritpion to the ajax call
               data: { code: code, description: description },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                             $('#locationsModalEdit').modal('hide');
                         }else{
                             $('#locationEditErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadLocations: '#loadLocations' }
            });
   }
   
});
 
 
 $('#locationsModal').on('hidden.bs.modal', function () {
     /** When the Modal closes then we remove the error messages so that next time the popup opens it doesn't shows them **/
     $('#locationCodeErr').html('');
     $('#locationDescriptionErr').html('');
     $('#locationAddErr').html('');
     //THIS FUNCTION IS USED TO REMOVE THE DATA FROM WITHIN THE MODAL VIEWS OF BOOTSTRAP WHEN THE CLOSE BUTTON IS PRESSED
     $(this).find("input,textarea,select").val('').end();
})

 $('#locationsModalEdit').on('hidden.bs.modal', function () {
     /** When the Modal closes then we remove the error messages so that next time the popup opens it doesn't shows them **/
     $('#locationDescriptionEditErr').html('');
     //THIS FUNCTION IS USED TO REMOVE THE DATA FROM WITHIN THE MODAL VIEWS OF BOOTSTRAP WHEN THE CLOSE BUTTON IS PRESSED
     $(this).find("input,textarea,select").val('').end();
})

