$( document ).on( "click", "#restaurantAddNewBtn", function() {

   //Get inputted values
   var code = $( '#restaurantCode' ).val();
   var name = $( '#restaurantName' ).val();
   var brand = $('select[name=brandSelector]').val();
   var city = $('select[name=citySelector]').val();

   
   //Check that all fields are completed. If they are not then show an error message, otherwise remove the error message.
   if( code === ''){
        $('#restaurantCodeErr').html('enter a unique restaurant code');
   }else{
        $('#restaurantCodeErr').html('');
   }
   
    if( name === ''){
        $('#restaurantNameErr').html('enter the restaurant name');
   }else{
        $('#restaurantNameErr').html('');
   }
   
    if( brand === null){
        $('#brandCodeErr').html('select a brand');
   }else{
        $('#brandCodeErr').html('');
   }
   
    if( city === null){
        $('#restaurantCityErr').html('select a city');
   }else{
        $('#restaurantCityErr').html('');
   }

   
   //If both fields are filled then we can proceed with adding the data to the database
   if( code !== '' && name !== '' && brand !== null && city !== null ){
        //call onAddBrand located in the edit page
           $.request('onAddRestaurant', {
               //pass the inputed data code & descritpion to the ajax call
               data: { code: code, name: name, brand: brand, city: city },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                             resetDataTable();
                             $('#addRestaurantModal').modal('hide');
                         }else{
                             $('#restaurantAddErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadRestaurants: '#loadRestaurants' }
            });
   }

 });
 
 //Do not allow spaces on the code input field
 $(function() {
    $('#brandCode, #restaurantEditCode').on('keypress', function(e) {
        if (e.which == 32)
            return false;
    });
});

//When Edit is pressed we get the variables from the data on the button from the loadBrands
$(document).on("click", ".editModal", function () {
     var id = $(this).data('id'); 
     var code = $(this).data('code');
     var name = $(this).data('name'); 
     var brand = $(this).data('brand'); 
     var citiesCode = $(this).data('citiescode'); 
     var weeks = $(this).data('weeks'); 
     var isDeactivated = $(this).data('isdeactivated'); 
     
     
     
     $(".modal-body #restaurantIDEdit").val( id );//pass variables into the modal editModal
     $(".modal-body #restaurantEditCode").val( code );//pass variables into the modal editModal
     $(".modal-body #restaurantEditName").val( name );//pass variables into the modal editModal
     
     //Select the score group in the modal for the selected question
     $('select[name^="brandEditSelector"] option[value="'+brand+'"]').attr("selected","selected");
     $('select[name^="cityEditSelector"] option[value="'+citiesCode+'"]').attr("selected","selected");
     
     if(isDeactivated == 1){
          $('#isDeactivatedID').prop('checked',true);
     }else{
         $('#isDeactivatedID').prop('checked',false);
     }
    
     
     $('#editRestaurantModal').modal('show');//show the modal editModal
});

$( document ).on( "click", "#restaurantEditBtn", function() {
    
    var id = $( '#restaurantIDEdit' ).val();
    var code = $( '#restaurantEditCode' ).val();
    var name = $( '#restaurantEditName' ).val();
    var brand = $('select[name=brandEditSelector]').val();
    var city = $('select[name=cityEditSelector]').val();

   if( code === ''){
        $('#restaurantCodeErr').html('enter a unique restaurant code');
   }else{
        $('#restaurantCodeErr').html('');
   }
   
    if( name === ''){
        $('#restaurantNameEditErr').html('please enter a description');
   }else{
        $('#restaurantNameEditErr').html('');
   }
   
    if( brand === null){
        $('#brandCodeEditErr').html('select a brand');
   }else{
        $('#brandCodeEditErr').html('');
   }
   
    if( city === null){
        $('#restaurantCityEditErr').html('select a city');
   }else{
        $('#restaurantCityEditErr').html('');
   }
   
   
       
    var disable;
    if($("#isDeactivatedID").is(':checked')){
        disable = 1;
    }else{
        disable = 0;
    }
   console.log(disable);
   
   //If both fields are filled then we can proceed with adding the data to the database
   if( code !== '' && name !== '' && brand !== null && city !== null){

        $.request('onEditRestaurant', {
               //pass the inputed data code & description to the ajax call
               data: { id:id, code: code, name: name, brand: brand, city: city, disable:disable },
               success: function(data) {
                     this.success(data).done(function() {
                         //if the data were added to the database then remove the modal
                         //else show the error message to the user
                         if(data.result == 'ok'){
                             resetDataTable();
                             $('#editRestaurantModal').modal('hide');
                         }else{
                             $('#restaurantEditErr').html(data.result);
                         } 
                });
            },
                //this is reloads the partial loadBrands so that the updated tables is showed
                update: { loadRestaurants: '#loadRestaurants' }
            });
   }
   
});
 
 
 $('#addRestaurantModal').on('hidden.bs.modal', function () {
     /** When the Modal closes then we remove the error messages so that next time the popup opens it doesn't shows them **/
     $('#restaurantCodeErr').html('');
     $('#restaurantNameErr').html('');
     $('#brandCodeErr').html('');
     $('#restaurantCityErr').html('');
      
     //THIS FUNCTION IS USED TO REMOVE THE DATA FROM WITHIN THE MODAL VIEWS OF BOOTSTRAP WHEN THE CLOSE BUTTON IS PRESSED
     $(this).find("input,textarea,select").val('').end();
});



 //Do not allow spaces on the code input field
 $(function() {
    $('#restaurantCode').on('keypress', function(e) {
        if (e.which == 32)
            return false;
    });
});
